Bug 82873 - Unhandled Exception component instance has no attribute pkgs
Unhandled Exception component instance has no attribute pkgs
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-27 19:08 EST by Aaron Dunlop
Modified: 2007-04-18 12:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-28 00:40:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Dunlop 2003-01-27 19:08:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
The upgrade install crashes with a python stacktrace while checking installed
packages.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
This bug is recreatable in either the GUI install or the text-based install.

Instructions to recreate:
Upgrade install over Dell RedHat Linux 7.1 Small Business Edition

Select English language
Select English keyboard
Select mouse
Select 'Upgrade Existing System'
Select partition to upgrade
Select 'No' to 'Customize Packages to Install'
Select all partitions to upgrade to ext3
Select 'Update boot loader config'

During the search for installed packages, the install terminates with the
following stacktrace:

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 694, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 446, in run
    dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/upgrade.py", line 499, in upgradeFindPackages
    for package in id.comps['GNOME Desktop Environment'].pkgs:
AttributeError: Component instance has no attribute 'pkgs'


Actual Results:  See stacktrace above.

Expected Results:  The install should have continued.

Additional info:
Comment 1 Jeremy Katz 2003-01-28 00:40:09 EST
This is fixed in our current codebase.

Note You need to log in before you can comment on or make changes to this bug.